getSmartEventSwitchState(params: GetSmartEventSwitchStateParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Query smart event switch
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<GetSmartEventSwitchStateResult>
hadService, switchState, extContent
Referenced Types
type
GetSmartEventSwitchStateResult| Property | Type | Description |
|---|---|---|
hadService | boolean | Whether the related service is enabled |
switchState | 0 | 1 | Switch state (0 / 1) |
extContent | string | Extended content (JSON string) |
Valid Values
GetSmartEventSwitchStateParams.serviceBusinessType
| Value | Description | Since |
|---|---|---|
aiSmartFreeEvent | - | - |
aiSmartFreeEventImage2Text | - | - |
GetSmartEventSwitchStateResult.switchState
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |